ur_rna.StructureEditor.services.fileIO

## Interface DrawingFileIO.NSD

- Enclosing class:
    DrawingFileIO

      private static interface DrawingFileIO.NSD

  Constants for Nucleotide Structure Drawing (NSD) File IO

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BOND_NUCS`
    `static java.lang.String` | `BOND_TYPE`
    `static java.lang.String` | `BONDS`
    `static java.lang.String` | `DRAW_FLIP`
    `static java.lang.String` | `DRAW_MODE`
    `static float` | `LOC_ZERO`
    `static java.lang.String` | `NUC_ID`
    `static java.lang.String` | `NUC_NUMBER`
    `static java.lang.String` | `NUC_SYMBOL`
    `static java.lang.String` | `STRAND_NUCS`
    `static java.lang.String` | `STRANDS`
    `static java.lang.String` | `STYLE`
    `static java.lang.String` | `STYLE_BOND`
    `static java.lang.String` | `STYLE_FILL`
    `static java.lang.String` | `STYLE_FONT`
    `static java.lang.String` | `STYLE_LINE`
    `static java.lang.String` | `STYLE_TEXT`
    `static java.lang.String` | `STYLES`
    `static java.lang.String` | `TITLE`
    `static int` | `UNSTYLED`
    `static java.lang.String` | `VERSION`
    `static java.lang.String` | `X`
    `static java.lang.String` | `Y`

- - ### Field Detail

    - #### BOND_NUCS

          static final java.lang.String BOND_NUCS

      See Also:
        Constant Field Values

    - #### BOND_TYPE

          static final java.lang.String BOND_TYPE

      See Also:
        Constant Field Values

    - #### BONDS

          static final java.lang.String BONDS

      See Also:
        Constant Field Values

    - #### DRAW_FLIP

          static final java.lang.String DRAW_FLIP

      See Also:
        Constant Field Values

    - #### DRAW_MODE

          static final java.lang.String DRAW_MODE

      See Also:
        Constant Field Values

    - #### LOC_ZERO

          static final float LOC_ZERO

      See Also:
        Constant Field Values

    - #### NUC_ID

          static final java.lang.String NUC_ID

      See Also:
        Constant Field Values

    - #### NUC_NUMBER

          static final java.lang.String NUC_NUMBER

      See Also:
        Constant Field Values

    - #### NUC_SYMBOL

          static final java.lang.String NUC_SYMBOL

      See Also:
        Constant Field Values

    - #### STRAND_NUCS

          static final java.lang.String STRAND_NUCS

      See Also:
        Constant Field Values

    - #### STRANDS

          static final java.lang.String STRANDS

      See Also:
        Constant Field Values

    - #### STYLE

          static final java.lang.String STYLE

      See Also:
        Constant Field Values

    - #### STYLE_BOND

          static final java.lang.String STYLE_BOND

      See Also:
        Constant Field Values

    - #### STYLE_FILL

          static final java.lang.String STYLE_FILL

      See Also:
        Constant Field Values

    - #### STYLE_FONT

          static final java.lang.String STYLE_FONT

      See Also:
        Constant Field Values

    - #### STYLE_LINE

          static final java.lang.String STYLE_LINE

      See Also:
        Constant Field Values

    - #### STYLE_TEXT

          static final java.lang.String STYLE_TEXT

      See Also:
        Constant Field Values

    - #### STYLES

          static final java.lang.String STYLES

      See Also:
        Constant Field Values

    - #### TITLE

          static final java.lang.String TITLE

      See Also:
        Constant Field Values

    - #### UNSTYLED

          static final int UNSTYLED

      See Also:
        Constant Field Values

    - #### VERSION

          static final java.lang.String VERSION

      See Also:
        Constant Field Values

    - #### X

          static final java.lang.String X

      See Also:
        Constant Field Values

    - #### Y

          static final java.lang.String Y

      See Also:
        Constant Field Values